﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ChaseExampleClient.Chase;

namespace ChaseExampleClient
{
  public partial class ClientUI : Form
  {
    public ClientUI()
    {
      InitializeComponent();
    }

    private void SearchConsumerButton_Click(object sender, EventArgs e)
    {
        bool loginViaCert = radioButton1.Checked;
      try
      {
        //new instance of CheaseClient
          Chase.SearchClient client = new Chase.SearchClient(loginViaCert?"ChaseCert":"ChaseLogin");
        //open connection
        client.Open();

        DisclosureReport dr = new DisclosureReport();
        //new instance of InformationDisclosureRequest
        RequestAuthorizationHeader auth = new RequestAuthorizationHeader(); ;
        if (loginViaCert)
        {
            auth.AuthorizationType = AuthorizationType.Certificate;
        }
        else
        {
            auth.AuthorizationType = AuthorizationType.LoginAndPassword;
            auth.Login = login.Text;
            auth.Password = pass.Text;
        }
          
          client.SearchConsumer(auth
            , textBox1.Text
            , ConsumerNumberType.Pesel
            , dateTimePicker1.Value
            , out dr);

        //close connection
        client.Close();

           richTextBox1.Text = dr.Number;
            richTextBox1.Text += "       Pesel:" + dr.SearchCriterion.ConsumerIdentityNumber.Item;
            richTextBox1.Text += "       Liczba informacji:" + dr.Summary.InformationCount;
            richTextBox1.Text += "       Liczba informacji pozytywnych:" + dr.PositiveInformationSummary.PaidObligationsCount;
            richTextBox1.Text += "       Suma zobowiązań:" + dr.Summary.TotalArrears.Amount + " " +
                                 dr.Summary.TotalArrears.Amount;

      }
      catch (Exception e1)
      {
        richTextBox1.Text = e1.ToString();
      }


    }

    private void SearchNonConsumerButton_Click(object sender, EventArgs e)
    {
        bool loginViaCert = radioButton1.Checked;
        try
        {
            //new instance of CheaseClient
            Chase.SearchClient client = new Chase.SearchClient(loginViaCert ? "ChaseCert" : "ChaseLogin");
            //open connection
            client.Open();

          DisclosureReport dr = new DisclosureReport();
          //new instance of InformationDisclosureRequest
          RequestAuthorizationHeader auth = new RequestAuthorizationHeader(); ;
          if (loginViaCert)
          {
              auth.AuthorizationType = AuthorizationType.Certificate;
          }
          else
          {
              auth.AuthorizationType = AuthorizationType.LoginAndPassword;
              auth.Login = login.Text;
              auth.Password = pass.Text;
          }
          client.SearchNonConsumer(auth
              , textBox2.Text
              , NonConsumerNumberType.TaxId
              , out dr);

          //close connection
          client.Close();

          richTextBox1.Text = dr.Number;
          richTextBox1.Text += "       NIP:" + dr.SearchCriterion.NonConsumerIdentityNumber.Item;
          richTextBox1.Text += "       Liczba informacji:" + dr.Summary.InformationCount;
          richTextBox1.Text += "       Liczba informacji pozytywnych:" + dr.PositiveInformationSummary.PaidObligationsCount;
          richTextBox1.Text += "       Suma zobowiązań:" + dr.Summary.TotalArrears.Amount + " " +
                               dr.Summary.TotalArrears.Amount;

      }
      catch (Exception e1)
      {
        richTextBox1.Text = e1.ToString();
      }
    }

    private void label6_Click(object sender, EventArgs e)
    {

    }
  }
}
